Allow override all smart class parameters with a configuration option
Status: Duplicate   
Assignee:    
Target version:    
Triaged:  Found in Releases:  
Description

For now, if you have default parameters for a Puppet class, you have to check "override" in Puppet class configuration for a

parameter to be able to override it.

Most of modules I use (and I do nothing exotic) have defaults ($params), and in my environment, I often need to change the defaults

for some hosts or groups.

To make things easy, a global parameter "override_all" would be welcome. Set it to false by default and you won't break anything

existing. When set to true, you don't need to activate the feature for every parameter, you have direct access to the override section

for hosts, groups and config groups.

If no value is provided, you just use defaults, else, you put whatever you want for your hosts/groups.

I would really like to have this to have a complete "Hiera like" behavior, but with the powerfull features of Foreman.

Related issues:

Is duplicate of Foreman - Feature #2873: A global Override Option for Puppet ... New 08/02/2013

History

#1 - 05/06/2014 02:06 PM - Dominic Cleal

- Subject changed from Allow override everything with a configuration option to Allow override all smart class parameters with a configuration option

- Category set to Puppet integration

#2 - 09/22/2014 06:10 AM - Dominic Cleal

- Is duplicate of Feature #2873: A global Override Option for Puppet classes' parameters added

#3 - 09/22/2014 06:10 AM - Dominic Cleal

- Status changed from New to Duplicate

Tracking under #2873, thanks for the report.
